Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> Multiple Vulnerabilities in XAMPP


Vulnerability Assessment Details

Multiple Vulnerabilities in XAMPP

Vulnerability Assessment Summary
Checks for the version of XAMPP

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote host contains several applications that may use default
passwords and be prone to cross-site scripting and directory traversal
attacks.

Description :

The remote host is running XAMP, an Apache distribution containing
MySQL, PHP, and Perl. It is designed for easy installation and
administration.

The remote version of this software contains various security flaws
and password disclosure weaknesses which may permit a possible hacker to
perform cross-site scripting attacks against the remote host or to
gain administrative access on the remote host if no password has been
set.

See also :

http://marc.theaimsgroup.com/?l=full-disclosure&m=111330048629182&w=2
http://sourceforge.net/project/shownotes.php?release_id=335710

Solution :

Upgrade to XAMPP 1.4.14 or newer.

Network Security Threat Level:

Medium / CVSS Base Score : 6
(AV:R/AC:H/Au:NR/C:P/A:P/I:P/B:N)

Networks Security ID: 13131, 13128, 13127, 13126, 13982, 13983

Vulnerability Assessment Copyright: This script is Copyright (C) 2005 Tenable Network Security

Cables, Connectors

ACER Swift SF713-51 Notebook Core i7-7Y75 8GB RAM 512GB SSD Win10 (1920x1080)
$1348.35
ACER Swift SF713-51 Notebook Core i7-7Y75 8GB RAM 512GB SSD Win10 (1920x1080) pictureDELL POWEREDGE FC630 2*8-CORE 2.10GHZ E5-2620 V4 64GB 2*300GB SAS HDD H730
$2529.75
DELL POWEREDGE FC630 2*8-CORE 2.10GHZ E5-2620 V4 64GB 2*300GB SAS HDD H730 pictureDELL POWEREDGE FC630 2*8-CORE 2.10GHZ E5-2620 V4 64GB 2*1.8TB 10K SAS HDD H730
$2989.7
DELL POWEREDGE FC630 2*8-CORE 2.10GHZ E5-2620 V4 64GB 2*1.8TB 10K SAS HDD H730 pictureDELL OPTIPLEX 7010 Desktop Core i7 Quad 3.4GHz 500GB HDD + 80GB SSD 8GB RAM Win7
$299.0
DELL OPTIPLEX 7010 Desktop Core i7 Quad 3.4GHz 500GB HDD + 80GB SSD 8GB RAM Win7 picture


Discussions

No Discussions have been posted on this vulnerability.